﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WSCF;

namespace RemoteSQLite
{
    public interface ISysTimeService : INotifyPropertyChanged
    {
        DateTime Now { get; }

        /// <summary>
        /// 设置时间
        /// </summary>
        /// <param name="setTime">需要设置的时间</param>
        /// <param name="reponseTime">GetTime返回的时间</param>
        [Call(typeof(SetTimeReponse))]
        void SetTime(DateTime setTime, DateTime reponseTime, AsyncCBHandler asyncDelegate, object asyncContext);

        [Call(typeof(GetTimeReponse))]
        void GetTime(AsyncCBHandler asyncDelegate, object asyncContext);
    }
    public class GetTimeReponse 
    {
        public DateTime now;
    }
    public class SetTimeReponse 
    {
        public DateTime now;
    }
}
