﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WSCF;

namespace RemoteSQLite
{
    public class SysTimeServiceClient : Reflect_SeviceClient, ISysTimeService
    {

        protected override Type InterfaceType => typeof(ISysTimeService);

        public DateTime Now { get; set; }

        public SysTimeServiceClient(string serverName, bool isByConnName, string addrOrConnName) : base(serverName, isByConnName, addrOrConnName)
        {

        }

        public void GetTime(AsyncCBHandler asyncDelegate, object asyncContext)
        {
            Call(nameof(GetTime), null, asyncDelegate, asyncContext);
        }

        public void SetTime(DateTime setTime, DateTime reponseTime, AsyncCBHandler asyncDelegate, object asyncContext)
        {
            Call(nameof(SetTime), new { setTime , reponseTime }, asyncDelegate, asyncContext);
        }
    }
}
