﻿using Newtonsoft.Json.Linq;

namespace WSCF
{

    public class Reflect_OBJ_INTERFACE 
    {
        public const string asyncDelegate = "asyncDelegate";
        public const string asyncContext = "asyncContext";
        public class ReflectData
        {
            public string name;
            public JToken data;
        }
        public class PkgData
        {
            public string guid;
            public string name;
            public JToken data;
            public PkgData() { }

            public PkgData(PkgName name, string guid, JToken data) 
            {
                this.name = name.ToString();
                this.guid = guid;
                this.data = data;
            }
        }
        public enum PkgName 
        {
            PUSH_Event,
            PUSH_PropertyChanged,
            CALL_GetAllProperties,
            CALL_SetProperty,
            CALL_MethodInvoke
        }
    }
}
